# fn:base-uri

fn:base-uri() → string?

Function signature

Result | xs:string ?

Returns the base URI of the context node

XPath 2.0 Specification

Implemented. Note that the semantics of this function have changed completely between Saxon 8.0 and Saxon 8.1, reflecting a decision of the Working Groups on 24 August 2004. Changed in Saxon 8.2.5 to return an xs:anyURI value rather than an xs:string.

fn:base-uri(node $srcval) → string?

Function signature

$srcval | node()
Result | xs:string ?

Returns the base URI of a given node

XPath 2.0 Specification

Implemented. Changed in Saxon 8.2.5 to return an xs:anyURI value rather than an xs:string.

Expand | Up Next